const bpmStatus = {
  TODO: 'TODO',
  WARN: 'WARN',
  INFO: 'INFO',
};

// SRM工作流定义 && 待办事项
const todoBpm = [{
  code: 'SuppliperAddition',
  type: '供应商准入',
  count: 0,
  link: `/lifecycle/supp-mgmt`,
}, {
  code: 'SuppliperItem',
  type: '供应商物料审批',
  count: 0,
  link: `/item-mgmt/itemAccess`,
  trial: `/item-mgmt/itemAccess/trial`,
}, {
  code: 'PurchasingOrder',
  type: '采购单审批',
  count: 0,
  link: `/cooperate/order/po`,
}, {
  code: 'ATypeContract',
  type: '合同审批',
  count: 0,
  link: `/contract-mgmt/contracts`,
}, {
  code: 'AccountCheck',
  type: '对账单审批',
  count: 0,
  link: `/cooperate/finance/soa`,
}, {
  code: 'Invoice',
  type: '开票流程',
  count: 0,
  link: `/cooperate/finance/s-invoice`,
}, {
  code: 'PriceAdjust',
  type: '物料价格调整审批',
  count: 0,
  link: `/price-mgmt/adjust`,
}, {
  code: 'Inquiry',
  type: '询价单审批',
  count: 0,
  link: `/source-mgmt/qo/iqo`,
}, {
  code: 'PriceCompare',
  type: '询价单比价审批',
  count: 0,
  link: `/source-mgmt/qo/compare/audit`,
}, {
  code: 'Bidding',
  type: '招标单审批',
  count: 0,
  link: `/source-mgmt/bid-mgmt/tenders/tenders`,
}, {
  code: 'BidResultEvaluation',
  type: '评标比标',
  count: 0,
  link: `/source-mgmt/bid-mgmt/exam`,
}, {
  code: 'StatementOfClaim',
  type: '索赔单审批',
  count: 0,
  link: `/cooperate/quality/co`,
}, {
  code: 'Report8dAddition',
  type: '8D报告',
  count: 0,
  link: `/quality/edo`,
}, {
  code: 'SuppliperPerformance',
  type: '供应商绩效评分',
  count: 0,
  link: `/lifecycle/supp-performance`,
}];

// 非工作流待办
const todoNonBpm = [{
  code: 'InquirySuppTodo',
  type: '待报价',
  count: 0,
  link: `/source-mgmt/qo/iqo?docStatus=03&quoteFlag=0`,
}, {
  code: 'TenderSuppTodo',
  type: '待投标',
  count: 0,
  link: `/source-mgmt/bid-mgmt/tenders/tenders?docStatus=2&tender=0`,
}];

export default {
  bpmStatus,
  todoBpm,
  todoNonBpm,
};
