/**
 * 开发环境后端配置
 */
const PROTOCOL = 'http';
const PREFIX = 'srm';

/* 后端服务器地址IP */
const IP = '127.0.0.1';
// const IP = '192.168.0.74';
//const IP = '192.168.2.15';
// const IP = '192.168.2.137';
// const IP = '192.168.0.183';
// const IP = 'localhost';

/* 后端服务器端口 */
const PORT = '9001';
// const PORT = '8080';
const devHost = `${PROTOCOL}://${IP}:${PORT}/${PREFIX}`;

/**
 * 生产环境后端配置
 */
const PROD_PROTOCOL = 'http';
const PROD_PREFIX = 'srm';

/* 后端服务器地址IP */
const PROD_IP = 'elpdtman';

/* 后端服务器端口 */
const PROD_PORT = '9090';

// const prodHost = `${PROD_PROTOCOL}://${PROD_IP}:${PROD_PORT}/${PROD_PREFIX}`
const prodHost = `/${PROD_PREFIX}`;

const designerURL = 'http://192.168.0.74:3000';

const appVersion = '';

export { devHost, prodHost, designerURL, appVersion };
